# Generated from test-unit-runner-tap-1.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name test-unit-runner-tap

Name: rubygem-%{gem_name}
Version: 1.1.2
Release: 1%{?dist}
Summary: TAP runners for TestUnit
License: GPL-2 and GPL-2
URL: https://github.com/test-unit/test-unit-runner-tap
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mast)
# BuildRequires: rubygem(indexer)
BuildArch: noarch

%description
This project provides TAP and TAP-Y/J test output formats for the TestUnit
test framework.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.index
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 1.1.2-1
- Initial package
